package domain


type AlibabaWdkPictureUploadApiResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        model     */
    Model  *AlibabaWdkPictureUploadPictureDo `json:"model,omitempty" `

    /*
        错误code     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误原因     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaWdkPictureUploadApiResult) SetSuccess(v bool) *AlibabaWdkPictureUploadApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkPictureUploadApiResult) SetModel(v AlibabaWdkPictureUploadPictureDo) *AlibabaWdkPictureUploadApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkPictureUploadApiResult) SetErrCode(v string) *AlibabaWdkPictureUploadApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkPictureUploadApiResult) SetErrMsg(v string) *AlibabaWdkPictureUploadApiResult {
    s.ErrMsg = &v
    return s
}
